1. Virtual Account Update
FOMO API (v20250702)
  • Authorization
  • Webhook
  • API
    • Account
      • Retrieve an account
      • List accounts
    • Balance
      • Retrieve a balance
      • List balances
    • Transaction
      • Retrieve a transaction
      • List transactions
    • Virtual Account
      • Retrieve a virtual account
      • List virtual accounts
    • Beneficiary
      • Beneficiary Account
        • List beneficiary accounts
        • Retrieve a beneficiary account
      • List beneficiaries
      • Retrieve a beneficiary
    • Account Holder
      • Retrieve an account holder
      • List account holders
    • Outgoing Transfer
      • Retrieve an outgoing transfer
      • List outgoing transfers
    • Webhook
      • Retrieve a webhook
      • List webhooks
    • Intent
      • Account Holder Creation
        • Create an account holder creation intent
        • Get an account holder creation intent
        • Confirm an account holder creation intent
      • Outgoing Transfer Creation
        • Create an outgoing transfer creation intent
        • Get an outgoing transfer creation intent
        • Confirm an outgoing transfer creation intent
      • Virtual Account Creation
        • Create a virtual account creation intent
        • Set account holder for virtual account creation intent
        • Set account name for virtual account creation intent
        • Get a virtual account creation intent
        • Confirm a virtual account creation intent
      • Virtual Account Update
        • Create a virtual account update intent
          POST
        • Set account name for virtual account update intent
          PATCH
        • Get a virtual account update intent
          GET
        • Confirm a virtual account update intent
          PATCH
      • Virtual Account Closure
        • Create a virtual account closure intent
        • Get a virtual account closure intent
        • Confirm a virtual account closure intent
      • Beneficiary Creation
        • Create a beneficiary creation intent
        • Get a beneficiary creation intent
        • Confirm a beneficiary creation intent
      • Beneficiary Account Creation
        • Create a beneficiary account creation intent
        • Get a beneficiary account creation intent
        • Confirm a beneficiary account creation intent
  1. Virtual Account Update

Set account name for virtual account update intent

UAT Env
https://uat.fomoapis.com/v1
UAT Env
https://uat.fomoapis.com/v1
PATCH
https://uat.fomoapis.com/v1
/intents/virtual-account-update/{virtual_account_update_intent_id}/account-name

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://uat.fomoapis.com/v1/intents/virtual-account-update//account-name' \
--header 'x-fomo-api-version;' \
--header 'Content-Type: application/json' \
--data '{
    "account_name": "ACME PTE. LTD."
}'
Response Response Example
{
    "account_name": "ACME PTE. LTD."
}
Previous
Create a virtual account update intent
Next
Get a virtual account update intent
Built with